import { z } from "zod";

export const createAgentSchema = z.object({
  userId: z.string(),
  name: z
    .string({
      required_error: "Name is required",
    })
    .min(2, {
      message: "Minimum Name is 2 characters.",
    })
    .max(30, {
      message: "Maximum Name is 30 characters.",
    }),
  description: z
    .string({
      required_error: "Description is required",
    })
    .min(2, {
      message: "Minimum Description is 2 characters.",
    })
    .max(200, {
      message: "Maximum Description is 200 characters.",
    }),
  modelType: z.enum([
    "roleplay",
    "programming",
    "marketing",
    "marketing_seo",
    "technology",
    "science",
    "translation",
    "legal",
    "finance",
    "health",
    "trivia",
    "academia",
    "general",
  ]),
});
